recode CC12_417a_2 (2=0) (1=1), gen(sign12)
recode gender_10 (2=1) (else=0), gen(female)
recode educ_10 (6=3) (5=2) (4=1) (3=1) (else=0), gen(educ4)
recode race_10 (1=1)(else=0), gen(white)
recode race_10 (2=1)(else=0), gen(black)
recode race_10 (3=1)(else=0), gen(hispanic)
recode race_10 (4=1)(else=0), gen(asian)
recode race_10 (5/8=1)(else=0), gen(other)
recode pew_churatd_10 (1/2=2) (3/5=1) (else=0), gen(religatt)
recode pew_bornagain_10 (1=1) (2=0) (else=.), gen(bornagain)
recode ownhome_10 (1=1) (2/3=0) (else=.), gen(homeown)
recode child18numx_10 (1/17=1) (else=0), gen(children)
recode unionhh_10 (1/2=1) (else=0), gen(union)
recode faminc_10 (1/5=0) (6/7=1) (8/11=2) (12/14=3) (else=.), gen(income4)
recode CC12_341A (1=3)(7=3)(2=2)(6=2)(3=1)(5=1)(4=0)(else=.), gen(foldideol)
recode CC12_352b (1/3=1) (else=0), gen(primvote)
recode newsint_10 (1=2) (2=1) (3/4=0) (else=.), gen(polint3)
recode pid7_10 (1=3)(7=3)(2=2)(6=2)(3=1)(5=1)(4=0)(else=.), gen(foldpid)
recode birthyr_10 (1801/1945=3) (1946/1965=2) (1966/1980=1) (1981/2000=0), gen(age4)
recode marstat_10 (1=1) (6=1) (else=0), gen(married)

**Figure 3.1
tabstat sign12, by(female)
tabstat sign12, by(white)
tabstat sign12, by(black)
tabstat sign12, by(hispanic)
tabstat sign12, by(asian)
tabstat sign12, by(other)
tabstat sign12, by(homeown)
tabstat sign12, by(children)
tabstat sign12, by(religatt)
tabstat sign12, by(income4)
tabstat sign12, by(foldideol)
tabstat sign12, by(primvote)
tabstat sign12, by(polint3)

**Figure 3.2
logit sign12 foldpid foldideol polint3 primvote female age4 educ4 income4 black hispanic asian other bornagain religatt married homeown children union
margins, at(foldpid= (0 3)) asbalanced
margins, at(foldideol= (0 3)) asbalanced
margins, at(primvote= (0 1)) asbalanced
margins, at(educ= (0 3)) asbalanced
margins, at(income= (0 3)) asbalanced
margins, at(asian= (0 1)) asbalanced
margins, at(born= (0 1)) asbalanced
margins, at(religatt= (0 2)) asbalanced
margins, at(home= (0 1)) asbalanced
margins, at(union= (0 1)) asbalanced
