**Chapter 1

**Figure 1.1 (see anes.do)

**Table 1.1
use "C:\rolloff.dta" 
pcorr kilsti_roll kilsti_signs sbe_roll
pcorr celran_roll celran_signs sbe_roll
pcorr bluhug_roll bluhug_signs sbe_roll
pcorr iss51_roll iss51_signs sbe_roll
reg kilsti_roll kilsti_signs sbe_roll
margins, at(kilsti_signs=(8.8 21.9))
reg celran_roll celran_signs sbe_roll
margins, at(celran_signs=(11.8 32.0))
reg bluhug_roll bluhug_signs sbe_roll
reg iss51_roll iss51_signs sbe_roll
margins, at(iss51_signs=(0 20.9))

**Figure 1.2 (see anes.do)

**Chapter 2

**Table 2.1 
**Franklin County and Upper Arlington
use "C:\franklin.dta"
sum nonprezsign08
sum anysign10 if excl10==0
sum nonprezsign12 if excl12==0
sum nonprezsign08 if prezsign08==1
sum nonprezsign12 if prezsign12==1 & excl12==0
tab nonprezsign08 prezsign08, cell
tab nonprezsign12 prezsign12 if excl12==0, cell
tabstat anysign08 prezsign08 cong08 state08 prop08 if ua==0
tabstat anysign08 prezsign08 cong08 state08 prop08 if ua==1
tabstat anysign10 gov10 cong10 state10 if ua==1 & excl10==0
tabstat anysign12 prezsign12 cong12 state12 prop12 if ua==1 & excl12==0
**Broomfield
use "C:\broomfield.dta"
sum nonprezsign12 anysign14
sum nonprezsign12 if prezsign12==1
tab nonprezsign12 prezsign12, cell
tabstat anysign12 prezsign12 cong12 state12
tabstat anysign14 gov14 cong14 state14 prop14



**Table 2.2
use "C:\franklin.dta"
sum road_k10_count road_k25_count road_sixthmi_count road_qtrmi_count  road_thirdmi_count if ua==0
sum road_k10_count road_k25_count road_sixthmi_count road_qtrmi_count  road_thirdmi_count if ua==1
use "C:\broomfield.dta"
sum road_k10_count road_k25_count road_sixthmi_count road_qtrmi_count road_thirdmi_count

**Table 2.4
use "C:\franklin.dta"
tabstat netsizec netsizen if surveydata==1, by(ua)
tab netsizen ua, col
use "C:\broomfield.dta"
tabstat netsizec netsizen if surveydata==1
tab netsizen

**Chapter 3

**Table 3.1 (see cces.do)

**Figure 3.1 (see cces.do)

**Figure 3.2 (see cces.do)

**Table 3.2
**Franklin County and Upper Arlington
use "C:\franklin.dta"
tabstat histall0 histprim0 if ua==0, by(prezsign08)
tabstat histall0 histprim0 if ua==1, by(prezsign08)
tabstat histall0 histprim0 if ua==1, by(prezsign12)
**Broomfield
use "C:\broomfield.dta"
tabstat histall0 histprim0, by(prezsign12)

**Table 3.3
**Franklin County and Upper Arlington
use "C:\franklin.dta"
ttest adjcode5 if ua==0, by(prezsign08)
ttest adjcode5 if ua==1, by(prezsign08)
**Broomfield
use "C:\broomfield.dta"
ttest adjcode5, by(prezsign12)

**Figure 3.3 
**Franklin County and Upper Arlington 
use "C:\franklin.dta"
melogit prezsign08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==0 || preccode:
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
logit prezsign08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==1, r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
**Broomfield
use "C:\broomfield.dta"
logit prezsign12 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg,r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 

**Table 3.4 
use "C:\broomfield.dta"
tab q21involve part3, col
tab q21stand part3, col
tab q21makediff part3, col
tab q21startdisc part3, col
anova q21involve part3
anova q21stand part3
anova q21makediff part3
anova q21startdisc part3

**Chapter 4

**Figure 4.1 and Table 4.1
use "C:\pes2016.dta"
ttest q8_eyesore_d, by(signdisp)
ttest q8_eyesore_d, by(campcont)
ttest q8_eyesore_d, by(campvol)
ttest q8_eyesore_d, by(campral)
ttest q8_int_d, by(signdisp)
ttest q8_int_d, by(campcont)
ttest q8_int_d, by(campvol)
ttest q8_int_d, by(campral)
ttest q8_div_d, by(signdisp)
ttest q8_div_d, by(campcont)
ttest q8_div_d, by(campvol)
ttest q8_div_d, by(campral)
ttest q8_ign_d, by(signdisp)
ttest q8_ign_d, by(campcont)
ttest q8_ign_d, by(campvol)
ttest q8_ign_d, by(campral)
ttest q8_inf_d, by(signdisp)
ttest q8_inf_d, by(campcont)
ttest q8_inf_d, by(campvol)
ttest q8_inf_d, by(campral)

**Figure 4.2
use "C:\pes2016.dta"
tabstat q8_eyesore_d, by(sign_prev)
tabstat q8_int_d, by(sign_prev)
tabstat q8_div_d, by(sign_prev)
tabstat q8_ign_d, by(sign_prev)
tabstat q8_inf_d, by(sign_prev)

**Figure 4.3
use "C:\pes2016.dta"
ologit q8_eyesore signdisp sign_prev q52_exteff q52_inteff q52_stand q52_make q49_pidfold  q65_ideolfold q2_female q71_nonwhite q72_income q75_age q76_educ, r
margins, at(signdisp=(0 1)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(sign_prev=(1 5)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_exteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_inteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_stand=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_make=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q49_pidfold=(0 3)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
ologit q8_interest signdisp sign_prev q52_exteff q52_inteff q52_stand q52_make q49_pidfold  q65_ideolfold q2_female q71_nonwhite q72_income q75_age q76_educ, r
margins, at(signdisp=(0 1)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(sign_prev=(1 5)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_exteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_inteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_stand=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_make=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q49_pidfold=(0 3)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
ologit q8_ignore signdisp sign_prev q52_exteff q52_inteff q52_stand q52_make q49_pidfold  q65_ideolfold q2_female q71_nonwhite q72_income q75_age q76_educ, r
margins, at(signdisp=(0 1)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(sign_prev=(1 5)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_exteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_inteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_stand=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_make=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q49_pidfold=(0 3)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
ologit q8_inform signdisp sign_prev q52_exteff q52_inteff q52_stand q52_make q49_pidfold  q65_ideolfold q2_female q71_nonwhite q72_income q75_age q76_educ, r
margins, at(signdisp=(0 1)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(sign_prev=(1 5)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_exteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_inteff=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_stand=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q52_make=(0 4)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))
margins, at(q49_pidfold=(0 3)) asbalanced expression(predict(outcome(3))+predict(outcome(4)))

**Table 4.2
use "C:\broomfield.dta"
logit q19anx_d balance_k25 prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19pr_d balance_k25 prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19ang_d balance_k25 prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19anx_d balance_sixth prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19pr_d balance_sixth prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19ang_d balance_sixth prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19anx_d balance_qtr prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19pr_d balance_qtr prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19ang_d balance_qtr prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19anx_d balance_th prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19pr_d balance_th prezsign12_all q1pol q4pidfold q23age q22female, r
logit q19ang_d balance_th prezsign12_all q1pol q4pidfold q23age q22female, r

**Table 4.3 
use "C:\broomfield.dta"
ttest q19onevote_d, by(prezsign12_all)
ttest q19complex_d, by(prezsign12_all)
ttest q19infl_d, by(prezsign12_all)
ttest q19nosay_d, by(prezsign12_all)

**Table 4.4
use "C:\broomfield.dta"
ttest q19infl_d, by(q6prescont)
ttest q19onevote_d, by(q6prescont)
ttest q19complex_d, by(q6prescont)
ttest q19nosay_d, by(q6prescont)
ttest q19infl_d, by(q6presvol)
ttest q19onevote_d, by(q6presvol)
ttest q19complex_d, by(q6presvol)
ttest q19nosay_d, by(q6presvol)
ttest q19infl_d, by(q6presral)
ttest q19onevote_d, by(q6presral)
ttest q19complex_d, by(q6presral)
ttest q19nosay_d, by(q6presral)

**Chapter 5

**Figure 5.1
use "C:\cces2013.dta"
sum sign_content sign_attract sign_reaction sign_othersign sign_winchance sign_vol sign_off

**Table 5.1
**Franklin County and Upper Arlington
use "C:\franklin.dta"
tab q34pride
tab q34letknow
tab q34traffic

**Table 5.2
use "C:\franklin.dta"
tabstat q3obama q5strong q32one q36polk histall0 histprim0 adjcode5, by(q7obtain3)

**Table 5.3
use "C:\franklin.dta"
tabstat q2early nonprezsign08 firstwave08 multprez08 anysign10 prezsign12 nonprezsign12 q8presvol q8presrally q8prescont, by(q7obtain3)

**Table 5.4
use "C:\franklin.dta"
tabstat adjcode5 histall0 histprim0 nonprezsign08 multprez08 if prezsign08==1, by(firstwave08)
tabstat anysign10 prezsign12 nonprezsign12 if prezsign08==1 & ua==1, by(firstwave08)

**Table 5.5
use "C:\franklin.dta"
tabstat q3ob q2e q5str q4primw q35prefcanddiff q7bo q8allp q36polk q32one, by(firstwave08)

**Chapter 6

**Table 6.4 and Figure 6.6
**Upper Arlington
use "C:\franklin.dta"
mlogit obamca08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_k10 mcpct_k10 if ua==1, r
margins, at(obpct_k10=(0 0.20) mcpct_k10=(0 0.20)) asbalanced 
mlogit obamca08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_k25 mcpct_k25 if ua==1, r
mlogit obamca08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_sixth mcpct_sixth if ua==1, r
mlogit obamca08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_qtr mcpct_qtr if ua==1, r
mlogit obamca08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_third mcpct_third if ua==1, r
**Broomfield
use "C:\broomfield.dta"
mlogit obarom12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_k10 rompct_k10, r
margins, at(obpct_k10=(0 0.20) rompct_k10=(0 0.20)) asbalanced 
mlogit obarom12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_k25 rompct_k25, r
mlogit obarom12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_sixth rompct_sixth, r
mlogit obarom12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_qtr rompct_qtr, r
mlogit obarom12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg obpct_third rompct_third, r

**Chapter 7
**Figure 7.1
use "C:\franklin.dta"
table kilroy08 kilroy10 if obama08==1 & ua==1
table obama08 kilroy10 if kilroy08==1 & ua==1
table obama08 kilroy08 if kilroy10==1 & ua==1
table stivers08 stivers10 if mccain08==1 & ua==1
table mccain08 stivers10 if stivers08==1 & ua==1
table mccain08 stivers08 if stivers10==1 & ua==1

**Table 7.1
**Franklin County and Upper Arlington
use "C:\franklin.dta"
tabstat histall0 if prezsign08==1, by(ua) 
tabstat histall0 if cong08==1, by(ua)
tabstat histall0 if state08==1, by(ua)
tabstat histall0 if prop08==1, by(ua)
tabstat histall0 if gov10==1 & ua==1
tabstat histall0 if cong10==1 & ua==1
tabstat histall0 if state10==1 & ua==1
tabstat histall0 if prezsign12==1 & ua==1
tabstat histall0 if cong12==1 & ua==1
tabstat histall0 if state12==1 & ua==1
tabstat histall0 if prop12==1 & ua==1
**Broomfield
use "C:\broomfield.dta"
tabstat histall0 if prezsign12==1
tabstat histall0 if cong12==1
tabstat histall0 if state12==1 
tabstat histall0 if gov14==1
tabstat histall0 if cong14==1 
tabstat histall0 if state14==1
tabstat histall0 if prop14==1 

**Table 7.2
use "C:\franklin.dta"
ttest q38male if anysign08==1, by(nonprezsign08)
ttest q47nonwhite if anysign08==1, by(nonprezsign08)
ttest q5pidfold if anysign08==1, by(nonprezsign08) 
ttest q6ideolfold if anysign08==1, by(nonprezsign08)
ttest q41educ if anysign08==1, by(nonprezsign08)
ttest q36polknow if anysign08==1, by(nonprezsign08) 
ttest q1 if anysign08==1, by(nonprezsign08) 
ttest q45religatt if anysign08==1, by(nonprezsign08)
ttest q40pctlived if anysign08==1, by(nonprezsign08)
ttest q2early if anysign08==1, by(nonprezsign08)
ttest q8allpart if anysign08==1, by(nonprezsign08) 
ttest q7bought if anysign08==1, by(nonprezsign08)

**Figure 7.2
**Franklin County and Upper Arlington
use "C:\franklin.dta"
melogit nonprezsign08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==0 & propval!=0 || preccode:
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
logit nonprezsign08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==1, r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
**Broomfield
use "C:\broomfield.dta"
logit nonprezsign12 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg,r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 

**Figure 7.3
use "C:\franklin.dta"
logit prezsign08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==1, r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
logit cong08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==1, r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
logit state08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==1, r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 
logit prop08 histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg if ua==1, r
margins, at(histall0=(0.23 0.89)) asbalanced 
margins, at(adjcode5=(1 5)) asbalanced 
margins, at(hhpid_dem=(0 1)) asbalanced 
margins, at(hhpid_rep=(0 1)) asbalanced 
margins, at(histall0_st_k25avg=(0.40 0.65)) asbalanced 

**Figure 7.4
use "C:\franklin.dta"
sum anysign10 if prezsign08==1 & ua==1 & excl10==0
sum anysign10 if cong08==1 & ua==1 & excl10==0
sum anysign10 if state08==1 & ua==1 & excl10==0 
sum anysign10 if prop08==1 & ua==1 & excl10==0
sum anysign10 if prezsign08==0 & nonprezsign08==0 & ua==1 & excl10==0
sum anysign12 prezsign12 nonprezsign12 if prezsign08==1 & ua==1 & excl12==0
sum anysign12 prezsign12 nonprezsign12 if cong08==1 & ua==1 & excl12==0
sum anysign12 prezsign12 nonprezsign12 if state08==1 & ua==1 & excl12==0
sum anysign12 prezsign12 nonprezsign12 if prop08==1 & ua==1 & excl12==0
sum anysign12 prezsign12 nonprezsign12 if prezsign08==0 & nonprezsign08==0 & ua==1 & excl10==0


**Table 7.6 and Figure 7.5
**Celeste-Rankin 2008
use "C:\franklin.dta"
mlogit celran08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg celeste08_k10pt rankin08_k10pt if ua==1, r
margins, at(celeste08_k10=(0 0.20) rankin08_k10=(0 0.20)) asbalanced 
mlogit celran08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg celeste08_k25pt rankin08_k25pt if ua==1, r
mlogit celran08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg celeste08_sixthmiscpt rankin08_sixthmiscpt if ua==1,
mlogit celran08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg celeste08_qtrmiscpt rankin08_qtrmiscpt if ua==1, r
mlogit celran08_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg celeste08_thirdmiscpt rankin08_thirdmiscpt if ua==1, r
**Cordray-DeWine 2010
mlogit cordew10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg cordray10_k10pt dewine10_k10pt if ua==1, r
margins, at(cordray10_k10=(0 0.20) dewine10_k10=(0 0.20)) asbalanced 
mlogit cordew10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg cordray10_k25pt dewine10_k25pt if ua==1, r
mlogit cordew10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg cordray10_sixthmiscpt dewine10_sixthmiscpt if ua==1,
mlogit cordew10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg cordray10_qtrmiscpt dewine10_qtrmiscpt if ua==1, r
mlogit cordew10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg cordray10_thirdmiscpt dewine10_thirdmiscpt if ua==1, r
**Strickland-Kasich 2010
mlogit strkas10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg strick10_k10pt kasich10_k10pt if ua==1, r
margins, at(strick10_k10=(0 0.20) kasich10_k10=(0 0.20)) asbalanced 
mlogit strkas10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg strick10_k25pt kasich10_k25pt if ua==1, r
mlogit strkas10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg strick10_sixthmiscpt kasich10_sixthmiscpt if ua==1, r
mlogit strkas10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg strick10_qtrmiscpt kasich10_qtrmiscpt if ua==1, r
mlogit strkas10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg strick10_thirdmiscpt kasich10_thirdmiscpt if ua==1, r
**Kilroy-Stivers 2010
mlogit kilsti10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg kilroy10_k10pt stivers10_k10pt if ua==1, r
margins, at(kilroy10_k10=(0 0.20) stivers10_k10=(0 0.20)) asbalanced 
mlogit kilsti10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg kilroy10_k25pt stivers10_k25pt if ua==1, r
mlogit kilsti10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg kilroy10_sixthmiscpt stivers10_sixthmiscpt if ua==1,
mlogit kilsti10_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg kilroy10_thirdmiscpt stivers10_thirdmiscpt if ua==1, r
**Brown-Mandel 2012
mlogit broman12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg brown12_k10pt mandel12_k10pt if ua==1, r
margins, at(brown12_k10=(0 0.20) mandel12_k10=(0 0.20)) asbalanced 
mlogit broman12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg brown12_k25pt mandel12_k25pt if ua==1, r
mlogit broman12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg brown12_sixthmiscpt mandel12_sixthmiscpt if ua==1,
mlogit broman12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg brown12_qtrmiscpt mandel12_qtrmiscpt if ua==1, r
mlogit broman12_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg brown12_thirdmiscpt mandel12_thirdmiscpt if ua==1, r
**Issue 51 Yes-No 2012
mlogit iss51yn_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg iss51yes12_k10pt iss51no12_k10pt if ua==1, r
margins, at(iss51yes12_k10=(0 0.20) iss51no12_k10=(0 0.20)) asbalanced 
mlogit iss51yn_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg iss51yes12_k25pt iss51no12_k25pt if ua==1, r
mlogit iss51yn_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg iss51yes12_sixthmiscpt iss51no12_sixthmiscpt if ua==1,
mlogit iss51yn_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg iss51yes12_qtrmiscpt iss51no12_qtrmiscpt if ua==1, r
mlogit iss51yn_ml histall0 adjcode5 hhpid_dem hhpid_rep histall0_st_k25avg iss51yes12_thirdmiscpt iss51no12_thirdmiscpt if ua==1, r


**Chapter 8

**Table 8.1
use "C:\franklin.dta"
tabstat pagreepn pheatn pincn if ua==1, stats(mean n)
tabstat pagreepn pheatn pincn if ua==1 & balance_k25>=.15, stats(mean n)
tabstat pagreepn pheatn pincn if ua==1 & balance_k25<=-.10, stats(mean n)

**Table 8.2
**Upper Arlington
use "C:\franklin.dta"
pwcorr q37act prezpct_k10 prezpct_k25 prezpct_sixth prezpct_qtr prezpct_third if ua==1, sig
**Broomfield
use "C:\broomfield.dta"
pwcorr q15a prezpct_k10 prezpct_k25 prezpct_sixth prezpct_qtr prezpct_third, sig
pwcorr q15a prezpct_k10 prezpct_k25 prezpct_sixth prezpct_qtr prezpct_third if anysign12_all==1, sig
pwcorr q15a prezpct_k10 prezpct_k25 prezpct_sixth prezpct_qtr prezpct_third if anysign12_all==0, sig

**Table 8.3 
**Upper Arlington
use "C:\franklin.dta"
pcorr q37b obpct_k10 mcpct_k10 if ua==1
pcorr q37b obpct_k25 mcpct_k25 if ua==1
pcorr q37b obpct_sixth mcpct_sixth if ua==1
pcorr q37b obpct_qtr mcpct_qtr if ua==1
pcorr q37b obpct_third mcpct_third if ua==1
**Broomfield 
use "C:\broomfield.dta"
pcorr q15b obpct_k10 rompct_k10
pcorr q15b obpct_k25 rompct_k25
pcorr q15b obpct_sixth rompct_sixth
pcorr q15b obpct_qtr rompct_qt
pcorr q15b obpct_third rompct_third
pcorr q15b obpct_k10 rompct_k10 if anysign12_all==1
pcorr q15b obpct_k10 rompct_k10 if anysign12_all==0
pcorr q15b obpct_k25 rompct_k25 if anysign12_all==1
pcorr q15b obpct_k25 rompct_k25 if anysign12_all==0
pcorr q15b obpct_sixth rompct_sixth if anysign12_all==1
pcorr q15b obpct_sixth rompct_sixth if anysign12_all==0
pcorr q15b obpct_qtr rompct_qtr if anysign12_all==1
pcorr q15b obpct_qtr rompct_qtr if anysign12_all==0
pcorr q15b obpct_third rompct_third if anysign12_all==1
pcorr q15b obpct_third rompct_third if anysign12_all==0

**Figure 8.1
use "C:\cces2013.dta"
tab  neigh_disagree
tab  neigh_avoid
tab  neigh_display

**Table 8.4
**Franklin County and Upper Arlington
use "C:\franklin.dta"
sum netsizec pne pagreep pfreq if surveydata==1
sum netsizen pstreetn pagreepn psigndn pheatn pincn if surveydata==1
**Broomfield
use "C:\broomfield.dta"
sum netsizec pne pagreep pfreq if surveydata==1 & anysign12_all==1
sum netsizec pne pagreep pfreq if surveydata==1 & anysign12_all==0
sum netsizen pagreepn pfreqn pheatn pincn if surveydata==1 & anysign12_all==1
sum netsizen pagreepn pfreqn pheatn pincn if surveydata==1 & anysign12_all==0
tab netsizen if surveydata==1 & anysign12_all==1
tab netsizen if surveydata==1 & anysign12_all==0

**Table 8.5
**Upper Arlington
use "C:\franklin.dta"
reg pincn balance_k10 q5pidfold q39age q38male  if ua==1, r
reg pincn balance_k25 q5pidfold q39age q38male  if ua==1, r
reg pincn balance_six q5pidfold q39age q38male  if ua==1, r
reg pincn balance_qtr q5pidfold q39age q38male  if ua==1, r
reg pincn balance_th q5pidfold q39age q38male  if ua==1, r
reg pheat balance_k10 q5pidfold q39age q38male  if ua==1, r
reg pheat balance_k25 q5pidfold q39age q38male  if ua==1, r
reg pheat balance_six q5pidfold q39age q38male  if ua==1, r
reg pheat balance_qtr q5pidfold q39age q38male  if ua==1, r
reg pheat balance_third q5pidfold q39age q38male  if ua==1, r
**Broomfield
use "C:\broomfield.dta"
reg pincn balance_k10 q4pidfold q23age q22female, r
reg pincn balance_k25 q4pidfold q23age q22female, r
reg pincn balance_six q4pidfold q23age q22female, r
reg pincn balance_qtr q4pidfold q23age q22female, r
reg pincn balance_th q4pidfold q23age q22female, r
reg pheatn balance_k10 q4pidfold q23age q22female, r
reg pheatn balance_k25 q4pidfold q23age q22female, r
reg pheatn balance_six q4pidfold q23age q22female, r
reg pheatn balance_qtr q4pidfold q23age q22female, r
reg pheatn balance_th q4pidfold q23age q22female, r

**Appendix

**Table A.1 
use "C:\franklin.dta"
tabstat obama08 mccain08 robinson08 tiberi08 kilroy08 stivers08 blue08 hughes08 carney08 cordray08 ogrady08 if ua==0, stats(sum)
tabstat obama08 mccain08 kilroy08 stivers08 blue08 hughes08 celeste08 rankin08 cordray08 brooks08 belskis08 strick10 kasich10 fisher10 portman10 cordray10 dewine10 husted10 pepper10 boyce10 kilroy10 stivers10 celeste10 larger10 mingo10 piccinnini10 obama12 romney12 brown12 mandel12 stivers12 hughes12 reedy12 kunze12 hawk12 kbrown12 hoover12 geer12 if ua==1, stats(sum)
tabstat iss75yes08 iss78yes08 if ua==0, stats(sum)
tabstat iss51yes08 iss51no08 issue2yes12 iss51yes12 iss51no12 if ua==1, stats(sum)
use "C:\broomfield.dta"
tabstat obama12 romney12 polis12 lundberg12 primavera12 pigott12 hick14 beauprez14 udall14 gardner14 polis14 leing14 primavera14 tinlin14 yes3a14 yes4a14 , stats(sum)

**Table A.2 (see Figure 3.2)

**Table A.3 (see Figure 3.3)

**Table A.4
use "C:\pes2016.dta"
logit signdisp extrovert conscientious agreeable neurotic openness q76_educ q75_age q72_income q65_ideolfold q49_pidfold q2_female, r
margins, at(extro=(4.95 10.60)) asbalanced 		
margins, at(consc=(9.94 13.44)) asbalanced 		
margins, at(agree=(8.07 12.50)) asbalanced 
margins, at(neur=(3.71 8.97)) asbalanced 
margins, at(open=(7.56 12.10)) asbalanced 

**Table A.5 (see Figure 4.3)

**Table A.6
use "C:\broomfield.dta"
logit q19anx_d balance_k10 prezsign12_all q1pol q4pidfold q23age q22female, r
margins, at(balance_k10=(-0.2 0.2)) asbalanced
logit q19pr_d balance_k10 prezsign12_all q1pol q4pidfold q23age q22female, r
margins, at(balance_k10=(-0.2 0.2)) asbalanced
logit q19ang_d balance_k10 prezsign12_all q1pol q4pidfold q23age q22female, r
margins, at(balance_k10=(-0.2 0.2)) asbalanced 

**Table A.7 (see Table 6.4 and Figure 6.6)

**Table A.8 (see Figure 7.2)

**Table A.10
**Upper Arlington
use "C:\franklin.dta"
ologit q37act prezpct_k10 histall0_st_k25avg q5pidf q6ideolf q8all q36polk q39age if ua==1, r
margins, at(prezpct_k10=(0.0 0.2)) asbalanced  expression(predict(outcome(3))+predict(outcome(4)))
margins, at(histall0_st_k25avg=(0.531 0.669)) asbalanced  expression(predict(outcome(3))+predict(outcome(4)))
**Broomfield 
use "C:\broomfield.dta"
ologit q15a prezpct_k10 histall0_st_k25avg q11polknow q4pidf q5f q6allpartsum q23age, r
margins, at(prezpct_k10=(0.0 0.2)) asbalanced  expression(predict(outcome(3))+predict(outcome(4)))
margins, at(histall0_st_k25avg=(0.484 0.611)) asbalanced  expression(predict(outcome(3))+predict(outcome(4)))

**Table A.11 
**Upper Arlington 
use "C:\franklin.dta"
ologit q37b obpct_k10 mcpct_k10 q3obama precobama if ua==1, r
margins, at(obpct_k10=(0.0 0.2)) asbalanced  expression(predict(outcome(4))+predict(outcome(5)))
margins, at(mcpct_k10=(0.0 0.2)) asbalanced  expression(predict(outcome(4))+predict(outcome(5)))
margins, at(precobama=(0.424 0.525)) asbalanced  expression(predict(outcome(4))+predict(outcome(5)))
**Broomfield
use "C:\broomfield.dta"
ologit q15b obpct_k10 rompct_k10 q3obama precobama, r
margins, at(obpct_k10=(0.0 0.2)) asbalanced  expression(predict(outcome(4))+predict(outcome(5)))
margins, at(rompct_k10=(0.0 0.2)) asbalanced  expression(predict(outcome(4))+predict(outcome(5)))
margins, at(precobama=(0.455 0.569)) asbalanced  expression(predict(outcome(4))+predict(outcome(5)))

**Table A.12
use "C:\cces2013.dta"
ologit neigh_disa signnorms foldpid7 foldideol5 newsint female nonwhite educ age income4, r
ologit neigh_avoid signnorms foldpid7 foldideol5 newsint female nonwhite educ age income4, r
ologit neigh_disp signnorms foldpid7 foldideol5 newsint female nonwhite educ age income4, r

**Table A.13 (see Table 8.6)
